%define luaver 5.1
%define luapkgdir %{_datadir}/lua/%{luaver}

Name:           lua-lunit
Version:        0.4
Release:        2%{?dist}
Summary:        Unit testing framework for Lua

Group:          Development/Libraries
License:        MIT
URL:            http://nessie.de/mroth/lunit/index.html
Source0:        http://nessie.de/mroth/lunit/lunit-%{version}.tar.gz
# http://repo.or.cz/w/lunit.git?a=commit;h=e30764d7d344991dc4b956df794df29693a138ca
Patch0:         %{name}-0.4-myerror.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# for running tests
BuildRequires:  lua >= %{luaver}
Requires:       lua >= %{luaver}

BuildArch:      noarch

%description
Lunit is a unit testing framework for lua, written in lua.

Lunit provides 26 assert functions, and a few misc functions for usage
in an easy unit testing framework.

Lunit comes with a test suite to test itself. The testsuite consists
of approximately 710 assertions.


%prep
%setup -q -n lunit-%{version}
%patch0 -p1 -b .myerror


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p lunit $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{luapkgdir}
cp -pr lunit{,-console}.lua $RPM_BUILD_ROOT%{luapkgdir}


%check
./lunit lunit-tests.lua | tee testlog.txt
grep -q "0 failed, 0 errors" testlog.txt


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE ANNOUNCE CHANGES DOCUMENTATION README* example.lua
%{_bindir}/lunit
%{luapkgdir}/*


%changelog
* Mon Oct 19 2009 Michel Salim <salimma@fedoraproject.org> - 0.4-2
- Patch out the use of non-existent myerror fn

* Thu Sep 10 2009 Michel Salim <salimma@fedoraproject.org> - 0.4-1
- Initial package
